> ## Documentation Index
> Fetch the complete documentation index at: https://docs.etherscan.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Internal Transactions by Block Range

> Returns internal transactions within a specified block range, with optional pagination.

export const chain = '1';

<Warning>
  **Effective July 1, 2026**, this endpoint will be moved to Pro endpoint. View [Changelog](https://docs.etherscan.io/changelog#upcoming-change-get-internal-transactions-by-block-range-endpoint-moving-to-pro-plans).
</Warning>

### Query Parameters

<ParamField query="apikey" default="YourApiKeyToken" type="string">
  Your Etherscan API key.
</ParamField>

<ParamField query="chainid" default="1" type="string">
  Chain ID to query, eg `1` for Ethereum, `8453` for Base from our [supported chains](/supported-chains).
</ParamField>

<ParamField query="module" default="account" type="string">
  Set to `account` for this endpoint.
</ParamField>

<ParamField query="action" default="txlistinternal" type="string">
  Set to `txlistinternal` for this endpoint.
</ParamField>

<ParamField query="startblock" default="13481773" type="integer">
  Starting block number to search from.
</ParamField>

<ParamField query="endblock" default="999999999" type="integer">
  Ending block number to search to.
</ParamField>

<ParamField query="page" default="1" type="integer">
  Page number for pagination.
</ParamField>

<ParamField query="offset" default="100" type="integer">
  Number of records per page. Use the `page` parameter for subsequent records.
</ParamField>

<ParamField query="sort" default="asc" type="string">
  Sort order either `desc` for the latest transactions first or `asc` for the oldest transactions first.
</ParamField>

<ResponseExample>
  ```json Response theme={null}
  {
    "status": "1",
    "message": "OK",
    "result": [
      {
        "blockNumber": "13481773",
        "timeStamp": "1635100060",
        "hash": "0x8b440f5ec0e986589517b131c5b75e921f2768b9912f028d2cdb009d759036ab",
        "from": "0x3909336de913344701c6f096502d26208210b39f",
        "to": "0xff62dfadca3b5643d0b283571fe154d886580c0c",
        "value": "1159078546481168231",
        "contractAddress": "",
        "input": "",
        "type": "call",
        "gas": "101300",
        "gasUsed": "13898",
        "traceId": "3",
        "isError": "0",
        "errCode": ""
      }
    ]
  }
  ```
</ResponseExample>
